Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactTransferResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.contact.EPPContactTransferResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPContactTransferResp

extends EPPResponse

Represents a <contact:trnData> response to `EPPContactTransferCmd`. When a <transfer> query command has been processed successfully, the EPP <resData> element MUST contain a child <contact:trnData> element that identifies the contact namespace and the location of the contact schema. The <contact:trnData> element SHALL contain the following child elements:

- A <contact:id> element that contains the server-unique identifier for the queried contact. Use `getId` and `setId` to get and set the element.
- A <contact:trStatus> element that contains the state of the most recent transfer request. Valid values are "PENDING", "APPROVED", "REJECTED", "AUTO-APPROVED", "AUTO-REJECTED", and "CANCELLED". Use `getTrStatus` and `setTrStatus` to get and set the element.
- A <contact:reID> element that contains the identifier of the client that initiated the transfer request. Use `getRequestClient` and `setRequestClient` to get and set the element.
- A <contact:acID> element that contains the identifier of the client that SHOULD respond to the transfer request. Use `getActionClient` and `setActionClient` to get and set the element.
- A <contact:reDate> element that contains the date and time that the transfer was requested. Use `getRequestDate` and `setRequestDate` to get and set the element.
- A <contact:acDate> element that contains the date and time of a required or completed response. For a PENDING request, the value identifies the date and time by which a response is required before an automated response action MUST be taken by the server. For all other status types, the value identifies the date and time when the request was completed. Use `getActionDate` and `setActionDate` to get and set the element.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPContactTransferCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPContactTransferResp()` `EPPContactTransferResp` default constructor.
`EPPContactTransferResp(EPPTransId aTransId, java.lang.String aId)` `EPPContactTransferResp` which takes the id of contact.
`EPPContactTransferResp(EPPTransId aTransId, java.lang.String aId, java.lang.String aStatus)` `EPPContactTransferResp` which takes the id of contact.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPContactTransferResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPContactTransferResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactTransferResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactTransferResp` with this instance.
`java.lang.String` | `getActionClient()` Gets the identifier of the client that SHOULD respond to the transfer request.
`java.util.Date` | `getActionDate()` Gets the date and time of a required or completed response.
`java.lang.String` | `getId()` Gets the contact id
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPContactTransferResp`.
`java.lang.String` | `getRequestClient()` Gets the identifier of the client that initiated the transfer request.
`java.util.Date` | `getRequestDate()` Gets the date and time that the transfer was requested.
`java.lang.String` | `getTransferStatus()` Get transfer status.
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPContactTransferResp`.
`void` | `setActionClient(java.lang.String aActionClient)` Sets the identifier of the client that SHOULD respond to the transfer request.
`void` | `setActionDate(java.util.Date aActionDate)` Sets the date and time of a required or completed response.
`void` | `setId(java.lang.String aId)` Sets the contact id.
`void` | `setRequestClient(java.lang.String aRequestClient)` Sets the identifier of the client that initiated the transfer request.
`void` | `setRequestDate(java.util.Date aRequestDate)` Sets the date and time that the transfer was requested.
`void` | `setTransferStatus(java.lang.String newTrStatus)` Set transfer status.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPContactTransferResp

    public EPPContactTransferResp()

  `EPPContactTransferResp` default constructor. Must call required setter methods before invoking `encode`, which include:
  - id - `setId`
  - request client - `setRequestClient`
  - action client - `setActionClient`
  - transfer status - `setTransferStatus`
  - request date - `setReqeustDate`
  - action date - `setActionDate`
  - transaction id - `setTransId`

### EPPContactTransferResp

    public EPPContactTransferResp(EPPTransId aTransId,
                                  java.lang.String aId)

  `EPPContactTransferResp` which takes the id of contact. All other required attributes need to be set using the setter methods, which include:
  - request client - `setRequestClient`
  - action client - `setActionClient`
  - transfer status - `setTransferStatus`
  - request date - `setReqeustDate`
  - action date - `setActionDate`

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aId` - Contact id

### EPPContactTransferResp

    public EPPContactTransferResp(EPPTransId aTransId,
                                  java.lang.String aId,
                                  java.lang.String aStatus)

  `EPPContactTransferResp` which takes the id of contact. All other required attributes need to be set using the setter methods, which include:
  - request client - `setRequestClient`
  - action client - `setActionClient`
  - transfer status - `setTransferStatus`
  - request date - `setReqeustDate`
  - action date - `setActionDate`

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aId` - Contact
    `aStatus` - Transfer status

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPContactTransferResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPContactTransferResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPContactTransferResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPContactMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactTransferResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPContactTransferResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPContactTransferResp` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPContactTransferResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPContactTransferResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPContactTransferResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactTransferResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPContactTransferResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getId

    public java.lang.String getId()

  Gets the contact id

  Returns:
    Contact Id if set; `null` otherwise.

### setId

    public void setId(java.lang.String aId)

  Sets the contact id.

  Parameters:
    `aId` - Contact Id

### getRequestClient

    public java.lang.String getRequestClient()

  Gets the identifier of the client that initiated the transfer request.

  Returns:
    The Request Client Id `String` if defined; `null` otherwise.

### setRequestClient

    public void setRequestClient(java.lang.String aRequestClient)

  Sets the identifier of the client that initiated the transfer request.

  Parameters:
    `aRequestClient` - The Request Client Id `String`

### getActionClient

    public java.lang.String getActionClient()

  Gets the identifier of the client that SHOULD respond to the transfer request.

  Returns:
    The Request Client Id `String` if defined; `null` otherwise.

### setActionClient

    public void setActionClient(java.lang.String aActionClient)

  Sets the identifier of the client that SHOULD respond to the transfer request.

  Parameters:
    `aActionClient` - The Action Client Id `String`

### getRequestDate

    public java.util.Date getRequestDate()

  Gets the date and time that the transfer was requested.

  Returns:
    The request date and time if defined; `null` otherwise.

### setRequestDate

    public void setRequestDate(java.util.Date aRequestDate)

  Sets the date and time that the transfer was requested.

  Parameters:
    `aRequestDate` - The request date and time

### getActionDate

    public java.util.Date getActionDate()

  Gets the date and time of a required or completed response.

  Returns:
    The required or complete response data and time if defined; `null` otherwise.

### setActionDate

    public void setActionDate(java.util.Date aActionDate)

  Sets the date and time of a required or completed response.

  Parameters:
    `aActionDate` - The required or complete response data and time.

### getTransferStatus

    public java.lang.String getTransferStatus()

  Get transfer status. This should be one of the `EPPResponse.TRANSFER` constants.

  Returns:
    String

### setTransferStatus

    public void setTransferStatus(java.lang.String newTrStatus)

  Set transfer status. This should be one of the `EPPResponse.TRANSFER` constants.

  Parameters:
    `newTrStatus` - The transfer status String (`EPPResponse.TRANSFER`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.